Oplossen: archieftype niet ondersteund in Ubuntu Linux

Probleem:

Problemen met het uitpakken van archiefbestanden zijn heel gebruikelijk in elk Linux-systeem. Er zijn problemen met .cbr-bestanden, RAR-bestanden en dan zijn er de algemene problemen met gzip stdin niet in gzip-indeling. De tijd opnieuw struikelde ik met een soortgelijk probleem met gecomprimeerd bestand in Ubuntu.

Ik probeerde een Conky-script te installeren dat ik had gedownload van devianART. Toen ik het gedownloade gzipped-bestand voor het eerst uitpakte, werd er nog een gecomprimeerd zonder extensie geëxtraheerd. Dus toen ik het probeerde te extraheren in Nautilus, gooide het een fout in mijn gezicht die luidde als: Archieftype niet ondersteund .

Reden:

Om de oorzaak van de fout te vinden, ging ik naar de opdrachtregel en draaide een "bestand" -opdracht erop om het type gecomprimeerd bestand te controleren. Het vertelde me dat het een POSIX tar-archief was. Ik was verbaasd dat de standaardarchiefbeheerder van Ubuntu niet in staat was om een ​​te gearchiveerd bestand uit te pakken. Maar toen klikte het op mij. Het bestand had geen extensie .

Oplossing:

Toen ik eenmaal besefte dat het probleem opnieuw eenvoudig en stom was met geen of verkeerde bestandsextensie, was de oplossing eenvoudig. Ik hernoemde gewoon het bestand van naar .tar en man het werkte als een charme. Als alternatief kunt u het op de volgende manier uitpakken in de opdrachtregel na het hernoemen:

 tar 

Zoals ik al zei, is het grootste deel van het probleem de extensie naam. Ik hoop dat het helpt bij het wegwerken van de niet-ondersteunde archieftypefout in Ubuntu en andere Linux. Zorg tot de volgende keer.

Aanbevolen

Popcorn Time installeren op Ubuntu 18.04 en andere Linux-distributies
2019
SuiteCRM: een open source CRM richt zich op Salesforce
2019
Een nieuw Linux OS "OSU" dat Ubuntu Of Arch Linux World wil zijn
2019